Highlighted

MCID dropping support for older browsers

jantzen_belliston-Adobe

Community Manager

20-09-2017

Community Members,

Hopefully you received the email that was sent out today. If not, a copy is included below. Please let me know if you have questions.

Dear Adobe customer,
Adobe will be dropping MCID support for older browsers like IE6, IE7 and IE8 from MCID 2.5 onward. Earlier browser versions may still be used, but Adobe will neither test against nor fix issues for these obsolete browser versions. As a result, browser experience for these versions may degrade over time and may create a security risk.
Please contact your Adobe representative with any questions.
Non-Technical Support: csm@adobe.com
Technical Support: clientcare@adobe.com
Best regards,
Adobe Customer Care Team